#Settings for configuring Hohlraum
[hohlraum]
	#Hohlraum capacity in mB.
	# Default: 10
	# Range: 1 ~ 9223372036854775807
	capacity = 10
	#Rate in mB/t at which Hohlraum can accept D-T Fuel.
	# Default: 1
	# Range: 1 ~ 9223372036854775807
	fillRate = 1

#Settings for configuring Solar Generators
[solar_generator]
	#Peak energy generation in Joules/t for the Solar Generator. Note: It can go higher than this value in some extreme environments.
	# Default: 50
	# Range: 0 ~ 9223372036854775807
	solarGeneration = 150
	#Peak energy generation in Joules/t for the Advanced Solar Generator. Note: It can go higher than this value in some extreme environments.
	# Default: 300
	# Range: 0 ~ 9223372036854775807
	advancedSolarGeneration = 1200

#Settings for configuring Bio Generators
[bio_generator]
	#Energy produced by the Bio Generator in Joules/t.
	# Default: 350
	# Range: 0 ~ 9223372036854775807
	bioGeneration = 350
	#The capacity in mB of the fluid tank in the Bio Generator.
	# Default: 24000
	# Range: > 1
	tankCapacity = 24000

#Settings for configuring Heat Generators
[heat_generator]
	#Amount of energy in Joules the Heat Generator produces per tick. heatGeneration + heatGenerationLava * lavaSides + heatGenerationNether. Note: lavaSides is how many sides are adjacent to lava, this includes the block itself if it is lava logged allowing for a max of 7 "sides".
	# Default: 200
	# Range: 0 ~ 9223372036854775807
	heatGeneration = 800
	#Multiplier of effectiveness of Lava that is adjacent to the Heat Generator.
	# Default: 30
	# Range: 0 ~ 1317624576693539401
	heatGenerationLava = 30
	#Add this amount of Joules to the energy produced by a heat generator if it is in an 'ultrawarm' dimension, in vanilla this is just the Nether.
	# Default: 100
	# Range: 0 ~ 9223372036854775807
	heatGenerationNether = 100
	#The capacity in mB of the fluid tank in the Heat Generator.
	# Default: 24000
	# Range: > 1
	tankCapacity = 24000
	#The amount of lava in mB that gets consumed to transfer heatGeneration Joules to the Heat Generator.
	heatGenerationFluidRate = 10

#Settings for configuring Gas-Burning Generators
[gas_generator]
	#The capacity in mB of the chemical tank in the Gas-Burning Generator.
	# Default: 18000
	# Range: 1 ~ 9223372036854775807
	tankCapacity = 18000

#Settings for configuring Wind Generators
[wind_generator]
	#Minimum energy generation in Joules/t that the Wind Generator can produce.
	# Default: 60
	# Range: 0 ~ 9223372036854775807
	generationMin = 150
	#Maximum energy generation in Joules/t that the Wind Generator can produce.
	# Default: 480
	# Range: 0 ~ 9223372036854775807
	generationMax = 900
	#The minimum Y value that affects the Wind Generators Power generation. This value gets clamped at the world's minimum height.
	# Default: 24
	# Range: -2032 ~ 2030
	minY = 24
	#The maximum Y value that affects the Wind Generators Power generation. This value gets clamped at the world's logical height. For example for worlds like the nether that are 256 blocks tall, but have a ceiling at 128 blocks, this would be clamped at 128.
	maxY = 2031

#Settings for configuring Industrial Turbines
[turbine]
	#The number of Turbine Blades supported by each Electromagnetic Coil.
	# Default: 4
	# Range: 1 ~ 12
	bladesPerCoil = 8
	#The rate in mB/t at which steam is vented into the turbine.
	# Default: 32000.0
	# Range: 0.1 ~ 1024000.0
	ventChemicalFlow = 43478.262
	#The rate in mB/t at which steam is dispersed into the turbine.
	# Default: 1280.0
	# Range: 0.1 ~ 1024000.0
	disperserChemicalFlow = 1280.0
	#The rate in mB/t at which steam is condensed into water in the turbine.
	# Default: 64000
	# Range: 1 ~ 2000000
	condenserRate = 128000
	#Amount of energy in Joules that each block of the turbine contributes to the total energy capacity. Max = volume * energyCapacityPerVolume
	# Default: 16000000
	# Range: 1 ~ 1000000000000
	energyCapacityPerVolume = 16000000
	#Amount of chemical (mB) that each block of the turbine's steam cavity contributes to the volume. Max = volume * chemicalPerTank
	# Default: 64000
	# Range: 1 ~ 1773043451913643
	chemicalPerTank = 6400

#Settings for configuring Fission Reactors
[fission_reactor]
	#Amount of energy created (in heat) from each whole mB of fission fuel.
	# Default: 1000000
	# Range: 0 ~ 9223372036854775807
	energyPerFissionFuel = 250000
	#The heat capacity added to a Fission Reactor by a single casing block. Increase to require more energy to raise the reactor temperature.
	# Default: 1000.0
	# Range: 1.0 ~ 1000000.0
	casingHeatCapacity = 1000.0
	#The average surface area of a Fission Reactor's fuel assemblies to reach 100% boil efficiency. Higher values make it harder to cool the reactor.
	# Default: 4.0
	# Range: 1.0 ~ 1.7976931348623157E308
	surfaceAreaTarget = 4.0
	#The default burn rate of the fission reactor.
	# Default: 0.1
	# Range: 0.001 ~ 1.0
	defaultBurnRate = 0.1
	#The burn rate increase each fuel assembly provides. Max Burn Rate = fuelAssemblies * burnPerAssembly
	# Default: 1
	# Range: 1 ~ 1000000
	burnPerAssembly = 1
	#Amount of fuel (mB) that each assembly contributes to the fuel and waste capacity. Max = fuelAssemblies * maxFuelPerAssembly
	# Default: 8000
	# Range: 1 ~ 2251799813685247
	maxFuelPerAssembly = 8000
	#Amount of cooled coolant (mB) that each block of the fission reactor contributes to the volume. Max = volume * cooledCoolantPerTank
	# Default: 100000
	# Range: 1 ~ 368224
	cooledCoolantPerTank = 100000
	#Amount of heated coolant (mB) that each block of the fission reactor contributes to the volume. Max = volume * heatedCoolantPerTank
	# Default: 1000000
	# Range: 1000 ~ 1581510980256305
	heatedCoolantPerTank = 1000000
	#The percentage of waste in a fission reactor's output waste tank that is necessary to trigger the excess waste.
	# Default: 0.9
	# Range: 0.001 ~ 1.0
	excessWaste = 0.9

	#Settings for configuring Fission Reactor Meltdowns.
	[fission_reactor.meltdowns]
		#Whether catastrophic meltdowns can occur from Fission Reactors. If this is disabled, instead of melting down the reactor will force turn itself off and not be able to be turned back on until the damage level has returned to safe levels.
		enabled = true
		#The radius of the explosion that occurs from a meltdown.
		# Default: 8.0
		# Range: 1.0 ~ 500.0
		radius = 8.0
		#The chance of a catastrophic meltdown occurring once the reactor's damage passes 100%. This will linearly scale as damage continues increasing passed 100%.
		# Default: 0.001
		# Range: 0.0 ~ 1.0
		chance = 0.001
		#How much radioactivity of fuel/waste contents are multiplied during a meltdown.
		# Default: 50.0
		# Range: 0.1 ~ 1000000.0
		radiationMultiplier = 50.0
		#Percent damage that a reactor will start at after being reconstructed after a meltdown.
		# Default: 75.0
		# Range: 0.0 ~ 100.0
		postMeltdownDamage = 75.0

#Settings for configuring Fusion Reactors
[fusion_reactor]
	#Affects the Injection Rate, Max Temp, and Ignition Temp.
	# Default: 10000000
	# Range: 0 ~ 9223372036854775807
	fuelEnergy = 10000000
	#The fraction of the heat dissipated from the case that is converted to Joules.
	# Default: 0.05
	# Range: 0.0 ~ 1.0
	thermocoupleEfficiency = 0.04
	#The fraction of heat from the casing that can be transferred to all sources that are not water. Will impact max heat, heat transfer to thermodynamic conductors, and power generation.
	# Default: 0.1
	# Range: 0.001 ~ 1.0
	casingThermalConductivity = 0.333333333
	#The fraction of the heat from the casing that is dissipated to water when water cooling is in use. Will impact max heat, and steam generation.
	# Default: 0.3
	# Range: 0.0 ~ 1.0
	waterHeatingRatio = 0.27272727272727
	#Amount of fuel (mB) that the fusion reactor can store.
	# Default: 1000
	# Range: 2 ~ 1000000
	fuelCapacity = 500
	#Amount of energy (Joules) the fusion reactor can store.
	# Default: 1000000000
	# Range: 1 ~ 9223372036854775807
	energyCapacity = 1000000000
	#Amount of water (mB) per injection rate that the fusion reactor can store. Max = injectionRate * waterPerInjection
	# Default: 1000000
	# Range: 1 ~ 21913098
	waterPerInjection = 1000000
	#Amount of steam (mB) per injection rate that the fusion reactor can store. Max = injectionRate * steamPerInjection
	# Default: 100000000
	# Range: 1 ~ 94116041192395671
	steamPerInjection = 100000000
